com.microfocus.awm.meta.interfaces

## Interface ISelectionCondition

- All Superinterfaces:
    org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier
  All Known Subinterfaces:
    RSelectionEnabledCondition, RSelectionVisibleCondition
  All Known Implementing Classes:
    RSelectionEnabledConditionImpl, RSelectionVisibleConditionImpl

      public interface ISelectionCondition
      extends org.eclipse.emf.ecore.EObject

  A condition with selection count

  The following features are supported:

  - `Selection Count`
  See Also:
    `TaurusPackage.getISelectionCondition()`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getSelectionCount()` Returns the value of the 'Selection Count' attribute.
    `boolean` | `isSetSelectionCount()` Returns whether the value of the '`Selection Count`' attribute is set.
    `void` | `setSelectionCount(java.lang.String value)` Sets the value of the '`Selection Count`' attribute.
    `void` | `unsetSelectionCount()` Unsets the value of the '`Selection Count`' attribute.

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getSelectionCount

          java.lang.String getSelectionCount()

      Returns the value of the 'Selection Count' attribute. The default value is `"*"`.
      Number of resources that must be selected for the referenced action to be visible and enabled.

      Allowed values:

      - * = Number of resources is irrelevant
      - 0 = No resources may be selected
      - n = Exactly n (n = 1,2,3,...) resources must be selected
      - [*|n]-[*|n] = A range of numbers (e.g. “2-*” = at least two resources must be selected)
      Returns:
        the value of the 'Selection Count' attribute.
      See Also:
        `isSetSelectionCount()`, `unsetSelectionCount()`, `setSelectionCount(String)`, `TaurusPackage.getISelectionCondition_SelectionCount()`

    - #### setSelectionCount

          void setSelectionCount(java.lang.String value)

      Sets the value of the '`Selection Count`' attribute.
      Parameters:
        `value` - the new value of the 'Selection Count' attribute.
      See Also:
        `isSetSelectionCount()`, `unsetSelectionCount()`, `getSelectionCount()`

    - #### unsetSelectionCount

          void unsetSelectionCount()

      Unsets the value of the '`Selection Count`' attribute.
      See Also:
        `isSetSelectionCount()`, `getSelectionCount()`, `setSelectionCount(String)`

    - #### isSetSelectionCount

          boolean isSetSelectionCount()

      Returns whether the value of the '`Selection Count`' attribute is set.
      Returns:
        whether the value of the 'Selection Count' attribute is set.
      See Also:
        `unsetSelectionCount()`, `getSelectionCount()`, `setSelectionCount(String)`

Copyright © 2015 Micro Focus GmbH. All rights reserved.